//
// This file is auto-generated from keymaps.csv
// Database checksum sha256(527727ef96d7103a8d7725a6ed9738812660b5a3f4aec086dd7b587b1ba9fcca)
// To re-generate, run:
//   keymap-gen code-map --lang=rust --varname=keymap_xorgxquartz2qnum keymaps.csv xorgxquartz qnum
//
pub static KEYMAP_XORGXQUARTZ2QNUM: &[u16] = &[
  0, // xorgxquartz:0 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:1 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:2 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:3 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:4 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:5 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:6 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:7 -> linux:None (unnamed) -> qnum:None
  0x1e, // xorgxquartz:8 -> linux:30 (KEY_A) -> qnum:30
  0x1f, // xorgxquartz:9 -> linux:31 (KEY_S) -> qnum:31
  0x20, // xorgxquartz:10 -> linux:32 (KEY_D) -> qnum:32
  0x21, // xorgxquartz:11 -> linux:33 (KEY_F) -> qnum:33
  0x23, // xorgxquartz:12 -> linux:35 (KEY_H) -> qnum:35
  0x22, // xorgxquartz:13 -> linux:34 (KEY_G) -> qnum:34
  0x2c, // xorgxquartz:14 -> linux:44 (KEY_Z) -> qnum:44
  0x2d, // xorgxquartz:15 -> linux:45 (KEY_X) -> qnum:45
  0x2e, // xorgxquartz:16 -> linux:46 (KEY_C) -> qnum:46
  0x2f, // xorgxquartz:17 -> linux:47 (KEY_V) -> qnum:47
  0x56, // xorgxquartz:18 -> linux:86 (KEY_102ND) -> qnum:86
  0x30, // xorgxquartz:19 -> linux:48 (KEY_B) -> qnum:48
  0x10, // xorgxquartz:20 -> linux:16 (KEY_Q) -> qnum:16
  0x11, // xorgxquartz:21 -> linux:17 (KEY_W) -> qnum:17
  0x12, // xorgxquartz:22 -> linux:18 (KEY_E) -> qnum:18
  0x13, // xorgxquartz:23 -> linux:19 (KEY_R) -> qnum:19
  0x15, // xorgxquartz:24 -> linux:21 (KEY_Y) -> qnum:21
  0x14, // xorgxquartz:25 -> linux:20 (KEY_T) -> qnum:20
  0x2, // xorgxquartz:26 -> linux:2 (KEY_1) -> qnum:2
  0x3, // xorgxquartz:27 -> linux:3 (KEY_2) -> qnum:3
  0x4, // xorgxquartz:28 -> linux:4 (KEY_3) -> qnum:4
  0x5, // xorgxquartz:29 -> linux:5 (KEY_4) -> qnum:5
  0x7, // xorgxquartz:30 -> linux:7 (KEY_6) -> qnum:7
  0x6, // xorgxquartz:31 -> linux:6 (KEY_5) -> qnum:6
  0xd, // xorgxquartz:32 -> linux:13 (KEY_EQUAL) -> qnum:13
  0xa, // xorgxquartz:33 -> linux:10 (KEY_9) -> qnum:10
  0x8, // xorgxquartz:34 -> linux:8 (KEY_7) -> qnum:8
  0xc, // xorgxquartz:35 -> linux:12 (KEY_MINUS) -> qnum:12
  0x9, // xorgxquartz:36 -> linux:9 (KEY_8) -> qnum:9
  0xb, // xorgxquartz:37 -> linux:11 (KEY_0) -> qnum:11
  0x1b, // xorgxquartz:38 -> linux:27 (KEY_RIGHTBRACE) -> qnum:27
  0x18, // xorgxquartz:39 -> linux:24 (KEY_O) -> qnum:24
  0x16, // xorgxquartz:40 -> linux:22 (KEY_U) -> qnum:22
  0x1a, // xorgxquartz:41 -> linux:26 (KEY_LEFTBRACE) -> qnum:26
  0x17, // xorgxquartz:42 -> linux:23 (KEY_I) -> qnum:23
  0x19, // xorgxquartz:43 -> linux:25 (KEY_P) -> qnum:25
  0x1c, // xorgxquartz:44 -> linux:28 (KEY_ENTER) -> qnum:28
  0x26, // xorgxquartz:45 -> linux:38 (KEY_L) -> qnum:38
  0x24, // xorgxquartz:46 -> linux:36 (KEY_J) -> qnum:36
  0x28, // xorgxquartz:47 -> linux:40 (KEY_APOSTROPHE) -> qnum:40
  0x25, // xorgxquartz:48 -> linux:37 (KEY_K) -> qnum:37
  0x27, // xorgxquartz:49 -> linux:39 (KEY_SEMICOLON) -> qnum:39
  0x2b, // xorgxquartz:50 -> linux:43 (KEY_BACKSLASH) -> qnum:43
  0x33, // xorgxquartz:51 -> linux:51 (KEY_COMMA) -> qnum:51
  0x35, // xorgxquartz:52 -> linux:53 (KEY_SLASH) -> qnum:53
  0x31, // xorgxquartz:53 -> linux:49 (KEY_N) -> qnum:49
  0x32, // xorgxquartz:54 -> linux:50 (KEY_M) -> qnum:50
  0x34, // xorgxquartz:55 -> linux:52 (KEY_DOT) -> qnum:52
  0xf, // xorgxquartz:56 -> linux:15 (KEY_TAB) -> qnum:15
  0x39, // xorgxquartz:57 -> linux:57 (KEY_SPACE) -> qnum:57
  0x29, // xorgxquartz:58 -> linux:41 (KEY_GRAVE) -> qnum:41
  0xe, // xorgxquartz:59 -> linux:14 (KEY_BACKSPACE) -> qnum:14
  0, // xorgxquartz:60 -> linux:None (unnamed) -> qnum:None
  0x1, // xorgxquartz:61 -> linux:1 (KEY_ESC) -> qnum:1
  0xdc, // xorgxquartz:62 -> linux:126 (KEY_RIGHTMETA) -> qnum:220
  0xdb, // xorgxquartz:63 -> linux:125 (KEY_LEFTMETA) -> qnum:219
  0x2a, // xorgxquartz:64 -> linux:42 (KEY_LEFTSHIFT) -> qnum:42
  0x3a, // xorgxquartz:65 -> linux:58 (KEY_CAPSLOCK) -> qnum:58
  0x38, // xorgxquartz:66 -> linux:56 (KEY_LEFTALT) -> qnum:56
  0x1d, // xorgxquartz:67 -> linux:29 (KEY_LEFTCTRL) -> qnum:29
  0x36, // xorgxquartz:68 -> linux:54 (KEY_RIGHTSHIFT) -> qnum:54
  0xb8, // xorgxquartz:69 -> linux:100 (KEY_RIGHTALT) -> qnum:184
  0x9d, // xorgxquartz:70 -> linux:97 (KEY_RIGHTCTRL) -> qnum:157
  0, // xorgxquartz:71 -> linux:464 (KEY_FN) -> qnum:None
  0x83, // xorgxquartz:72 -> linux:187 (KEY_F17) -> qnum:131
  0x53, // xorgxquartz:73 -> linux:83 (KEY_KPDOT) -> qnum:83
  0, // xorgxquartz:74 -> linux:None (unnamed) -> qnum:None
  0x37, // xorgxquartz:75 -> linux:55 (KEY_KPASTERISK) -> qnum:55
  0, // xorgxquartz:76 -> linux:None (unnamed) -> qnum:None
  0x4e, // xorgxquartz:77 -> linux:78 (KEY_KPPLUS) -> qnum:78
  0, // xorgxquartz:78 -> linux:None (unnamed) -> qnum:None
  0x45, // xorgxquartz:79 -> linux:69 (KEY_NUMLOCK) -> qnum:69
  0xb0, // xorgxquartz:80 -> linux:115 (KEY_VOLUMEUP) -> qnum:176
  0xae, // xorgxquartz:81 -> linux:114 (KEY_VOLUMEDOWN) -> qnum:174
  0xa0, // xorgxquartz:82 -> linux:113 (KEY_MUTE) -> qnum:160
  0xb5, // xorgxquartz:83 -> linux:98 (KEY_KPSLASH) -> qnum:181
  0x9c, // xorgxquartz:84 -> linux:96 (KEY_KPENTER) -> qnum:156
  0, // xorgxquartz:85 -> linux:None (unnamed) -> qnum:None
  0x4a, // xorgxquartz:86 -> linux:74 (KEY_KPMINUS) -> qnum:74
  0xf7, // xorgxquartz:87 -> linux:188 (KEY_F18) -> qnum:247
  0x84, // xorgxquartz:88 -> linux:189 (KEY_F19) -> qnum:132
  0x59, // xorgxquartz:89 -> linux:117 (KEY_KPEQUAL) -> qnum:89
  0x52, // xorgxquartz:90 -> linux:82 (KEY_KP0) -> qnum:82
  0x4f, // xorgxquartz:91 -> linux:79 (KEY_KP1) -> qnum:79
  0x50, // xorgxquartz:92 -> linux:80 (KEY_KP2) -> qnum:80
  0x51, // xorgxquartz:93 -> linux:81 (KEY_KP3) -> qnum:81
  0x4b, // xorgxquartz:94 -> linux:75 (KEY_KP4) -> qnum:75
  0x4c, // xorgxquartz:95 -> linux:76 (KEY_KP5) -> qnum:76
  0x4d, // xorgxquartz:96 -> linux:77 (KEY_KP6) -> qnum:77
  0x47, // xorgxquartz:97 -> linux:71 (KEY_KP7) -> qnum:71
  0x5a, // xorgxquartz:98 -> linux:190 (KEY_F20) -> qnum:90
  0x48, // xorgxquartz:99 -> linux:72 (KEY_KP8) -> qnum:72
  0x49, // xorgxquartz:100 -> linux:73 (KEY_KP9) -> qnum:73
  0x7d, // xorgxquartz:101 -> linux:124 (KEY_YEN) -> qnum:125
  0x73, // xorgxquartz:102 -> linux:89 (KEY_RO) -> qnum:115
  0x5c, // xorgxquartz:103 -> linux:95 (KEY_KPJPCOMMA) -> qnum:92
  0x3f, // xorgxquartz:104 -> linux:63 (KEY_F5) -> qnum:63
  0x40, // xorgxquartz:105 -> linux:64 (KEY_F6) -> qnum:64
  0x41, // xorgxquartz:106 -> linux:65 (KEY_F7) -> qnum:65
  0x3d, // xorgxquartz:107 -> linux:61 (KEY_F3) -> qnum:61
  0x42, // xorgxquartz:108 -> linux:66 (KEY_F8) -> qnum:66
  0x43, // xorgxquartz:109 -> linux:67 (KEY_F9) -> qnum:67
  0x71, // xorgxquartz:110 -> linux:123 (KEY_HANJA) -> qnum:113
  0x57, // xorgxquartz:111 -> linux:87 (KEY_F11) -> qnum:87
  0x72, // xorgxquartz:112 -> linux:122 (KEY_HANGEUL) -> qnum:114
  0x5d, // xorgxquartz:113 -> linux:183 (KEY_F13) -> qnum:93
  0x55, // xorgxquartz:114 -> linux:186 (KEY_F16) -> qnum:85
  0x5e, // xorgxquartz:115 -> linux:184 (KEY_F14) -> qnum:94
  0, // xorgxquartz:116 -> linux:None (unnamed) -> qnum:None
  0x44, // xorgxquartz:117 -> linux:68 (KEY_F10) -> qnum:68
  0xdd, // xorgxquartz:118 -> linux:127 (KEY_COMPOSE) -> qnum:221
  0x58, // xorgxquartz:119 -> linux:88 (KEY_F12) -> qnum:88
  0, // xorgxquartz:120 -> linux:None (unnamed) -> qnum:None
  0x5f, // xorgxquartz:121 -> linux:185 (KEY_F15) -> qnum:95
  0xf5, // xorgxquartz:122 -> linux:138 (KEY_HELP) -> qnum:245
  0xc7, // xorgxquartz:123 -> linux:102 (KEY_HOME) -> qnum:199
  0xc9, // xorgxquartz:124 -> linux:104 (KEY_PAGEUP) -> qnum:201
  0xd3, // xorgxquartz:125 -> linux:111 (KEY_DELETE) -> qnum:211
  0x3e, // xorgxquartz:126 -> linux:62 (KEY_F4) -> qnum:62
  0xcf, // xorgxquartz:127 -> linux:107 (KEY_END) -> qnum:207
  0x3c, // xorgxquartz:128 -> linux:60 (KEY_F2) -> qnum:60
  0xd1, // xorgxquartz:129 -> linux:109 (KEY_PAGEDOWN) -> qnum:209
  0x3b, // xorgxquartz:130 -> linux:59 (KEY_F1) -> qnum:59
  0xcb, // xorgxquartz:131 -> linux:105 (KEY_LEFT) -> qnum:203
  0xcd, // xorgxquartz:132 -> linux:106 (KEY_RIGHT) -> qnum:205
  0xd0, // xorgxquartz:133 -> linux:108 (KEY_DOWN) -> qnum:208
  0xc8, // xorgxquartz:134 -> linux:103 (KEY_UP) -> qnum:200
  0, // xorgxquartz:135 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:136 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:137 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:138 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:139 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:140 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:141 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:142 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:143 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:144 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:145 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:146 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:147 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:148 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:149 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:150 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:151 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:152 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:153 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:154 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:155 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:156 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:157 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:158 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:159 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:160 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:161 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:162 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:163 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:164 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:165 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:166 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:167 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:168 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:169 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:170 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:171 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:172 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:173 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:174 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:175 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:176 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:177 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:178 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:179 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:180 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:181 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:182 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:183 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:184 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:185 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:186 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:187 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:188 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:189 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:190 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:191 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:192 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:193 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:194 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:195 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:196 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:197 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:198 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:199 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:200 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:201 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:202 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:203 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:204 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:205 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:206 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:207 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:208 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:209 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:210 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:211 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:212 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:213 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:214 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:215 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:216 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:217 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:218 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:219 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:220 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:221 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:222 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:223 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:224 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:225 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:226 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:227 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:228 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:229 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:230 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:231 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:232 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:233 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:234 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:235 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:236 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:237 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:238 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:239 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:240 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:241 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:242 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:243 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:244 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:245 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:246 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:247 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:248 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:249 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:250 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:251 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:252 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:253 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:254 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:255 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:256 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:257 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:258 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:259 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:260 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:261 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:262 -> linux:None (unnamed) -> qnum:None
  0, // xorgxquartz:263 -> linux:0 (KEY_RESERVED) -> qnum:None
];